Bug 144471 - CAN-2005-0176 unlock someone elses ipc memory
Summary: CAN-2005-0176 unlock someone elses ipc memory
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard: public=20041124,impact=moderate
Keywords: Security
Depends On:
Blocks: 144195
TreeView+ depends on / blocked
 
Reported: 2005-01-07 13:49 UTC by Josh Bressers
Modified: 2015-01-04 22:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 17:20:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:092 important SHIPPED_LIVE Important: kernel security update 2005-02-18 05:00:00 UTC

Description Josh Bressers 2005-01-07 13:49:33 UTC
*** This bug has been split off bug 142802 ***

------- Original comment by Mark J. Cox (Security Response Team) on 2004.12.14
10:34 -------

Reported on lkml a flaw that allows you to unlock someone
elses ipc memory (hence crossing permission boundary).

http://marc.theaimsgroup.com/?l=linux-kernel&m=110132782610477
http://marc.theaimsgroup.com/?l=linux-kernel&m=110137276318105

"In 2.6.8, the only processes that could lock shared memory segments
were those with CAP_IPC_LOCK.  Unprivileged processes did not get a
look in."

Looks like this is 2.6.9 (Arjan says since the fixed rhel3 mlock stuff
got merged it might be there too)

Comment 1 Josh Bressers 2005-02-18 17:20:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-092.html



Note You need to log in before you can comment on or make changes to this bug.